[data-dropdown] {
    position: relative;

    &.open {
        z-index: 50;

        [data-dropdown-content] {
            opacity: 1;
            visibility: visible;
        }
    }
}

[data-dropdown-toggle] {
    cursor: pointer;
}

[data-dropdown-content] {
    top: 100%;
    left: 0;
    margin-top: rem(4);
    min-width: 100%;
    z-index: 100;
    opacity: 0;
    visibility: hidden;
    position: absolute;
}

.dropdown {
    display: inline-flex;
    flex-direction: column;

    &__content {
        padding: rem(10);
        overflow: hidden;
        background: white;
        border-radius: rem(25);
        box-shadow: var(--shadow)
    }

    &__group {
        border: none;
        box-shadow: none;
    }

    &__item {
        padding: rem(8) rem(15);
        min-height: rem(48);
        text-align: left;
        font-size: rem(14);
        line-height: 140%;
        fill: var(--dark);
        color: var(--dark);
        stroke: var(--dark);
        text-decoration: none;
        cursor: pointer;
        min-width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(8);

        &:hover {
            fill: var(--gray);
            color: var(--gray);
            stroke: var(--gray);
        }
    }

    &__icon {
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
        display: block;
    }

    &__text {
        flex-grow: 1;
    }

    &__counter {
        color: white;
        height: rem(18);
        min-width: rem(32);
        padding: 0 rem(4);
        border-radius: rem(10);
        font-size: rem(13);
        line-height: 140%;
        white-space: nowrap;
        background: var(--blue);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &--right {

        [data-dropdown-content] {
            left: auto;
            right: 0;
        }
    }
}
